WININET not on NT4?

Corinna Vinschen corinna-cygwin@cygwin.com
Fri Jan 13 17:37:00 GMT 2006


On Jan 13 17:21, Dave Korn wrote:
> Brian Dessent wrote:
> > I can still look into doing autoload for cygcheck but I'm not sure how
> > that would work exactly since it's not just a simple "is this NT4,
> > y/n".  It could explicitly do loadlibrary("wininet.dll") and then just
> > bail with a "Your system doesn't support this" message though.
> 
>   Even better, how about bailing with a "Your system doesn't support this
> functionality yet, please install Internet Explorer from Settings:Control

".. please install Internet Explorer *3* ..."

NT4 has by default already IE installed, the old fella IE2, which doesn't
need WININET.DLL.  But I would prefer something along the lines of

  "... you need at least IE3 installed to get this functionality ..."

Btw., if that's not clear, just calling LoadLibrary isn't enough, the
symbols must also be linked in dynamically using GetProcAddress,
otherwise you'll never see the above error message on NT4... but
probably you already know this and I'm just anal retentive.


Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat



More information about the Cygwin-developers mailing list